Issue 127484 - Update bundled expat to version 2.2.3
Summary: Update bundled expat to version 2.2.3
Status: CLOSED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: external prerequisites (show other issues)
Version: 4.2.0-dev
Hardware: All All
: P5 (lowest) Normal (vote)
Target Milestone: 4.1.4
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on: 127461
Blocks:
  Show dependency tree
 
Reported: 2017-07-22 09:41 UTC by Matthias Seidel
Modified: 2018-10-15 18:47 UTC (History)
6 users (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---
jim: 4.1.4_release_blocker+


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Matthias Seidel 2017-07-22 09:41:03 UTC
+++ This issue was initially created as a clone of Issue #127461 +++

A new release, expat 2.2.2, is available:

https://www.xml.com/news/2017-07-expat-222-released/

https://github.com/libexpat/libexpat/blob/R_2_2_2/expat/Changes

https://sourceforge.net/projects/expat/files/expat/2.2.2/
Comment 1 Jim Jagielski 2017-08-03 01:40:13 UTC
Version 2.2.3 has just been released.
Comment 2 Jim Jagielski 2017-08-03 02:17:55 UTC
See r1803939
Comment 3 Don Lewis 2017-08-03 02:58:18 UTC
You'll probably find that this doesn't build correctly on the old Linux distros that we have to support.  Even CentOS 7 doesn't have a recent enough version of glibc to get good entropy.

The makefile.mk patch in expat-2.2.x.patch will probably need to contain this
modification for Linux:

+.IF "$(OS)"=="WNT"
+CDEFS+=-DWIN32
+.ELIF "$(OS)"=="LINUX"
+CDEFS+=-DHAVE_EXPAT_CONFIG_H -DXML_POOR_ENTROPY
+.ELSE
+CDEFS+=-DHAVE_EXPAT_CONFIG_H
+.ENDIF
Comment 4 Don Lewis 2017-08-03 06:13:07 UTC
The Linux build problem appears to be fixed in 2.2.3, which added a fallback to /dev/urandom.  I was able to get trunk to build as-is with 2.2.3 on CentOS 7.
Comment 6 Jim Jagielski 2017-08-06 12:57:06 UTC
Committed revision 1804232
Comment 7 Matthias Seidel 2017-08-17 18:59:04 UTC
We should think about backporting r1805208 to 4.1.4
Comment 8 Matthias Seidel 2017-09-21 20:28:59 UTC
See comment #7
Comment 9 Jim Jagielski 2017-09-21 20:37:27 UTC
Committed in r1809224 for 4.1.4-RC4